(** Command line option parsing. Never used or tested seriously yet *)

module Switch : sig
  type t = { name : string option; long : string option; with_arg : bool; }
end

module Parse : sig
  type t = {
    args : string array;
    short_switches : (char, Switch.t) Hashtbl.t;
    long_switches : (string * Switch.t) list;
    stop_at_anon : bool;
  }
  
  val parse : t 
    -> int 
    -> [> `Anon of string | `Switch of Switch.t * string option ] list 
       * [> `Error of string | `Ok of int ]
end
